#include "z80-global"

#ifndef __Z80CPU
#define __Z80CPU

extern _uchar F,A,B,C,D,E,H,L;
extern _uchar F_,A_,B_,C_,D_,E_,H_,L_;
extern _uchar IXl,IXh,IYl,IYh;
extern _uchar I,R,IM;
extern _ushort PC,SP,IX,IY;
extern _uchar DATA;
extern _ushort ADDRESS;
extern bit  IFF0;      /* internal EI-flipflop */
extern bit  IFF1,IFF2;
extern bit  IFF3;      /* NMI has occured */
/*************************
   rd       cpu wantnto read data
   wr       cpu want to write data
   m1       machine cycle one (opcode fetch)
   iorq     cpu requests data from IO (not from memory)
   halt     cpu in halt instruction
   wait     cpu in wait state
   inter    maskable interrupt pending
   reset    cpu reset requested
*********************/
enum cpu_control_pin { rd, wr, m1, iorq, halt, wait, inter, reset };
extern bit cpu_pin[8];

extern void  set_cpu_pin(unsigned p, bit level);
extern const unsigned long ticks;
extern void wait_tics(unsigned increase);
extern void set_tics(unsigned long t);

#endif
